//
//  Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
//  Copyright (C) 2012 - Pawel Zagorski
//
//  This file must be used under the terms of the CeCILL.
//  This source file is licensed as described in the file COPYING, which
//  you should have received as part of this distribution.  The terms
//  are also available at
//  http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt


function block=AB_cjd_time(block,flag)

block_name = "AB_cjd_time";
xcos_block_debug(block, flag, block_name);

select flag
  case 1 then
    // Output computation
    sim_time	= getscicosvars("t0");
    multiplier 	= block.rpar(1);
    year 	= block.ipar(1);
    month	= block.ipar(2);
    day		= block.ipar(3);
    hour	= block.ipar(4);
    minute 	= block.ipar(5);
    second 	= block.rpar(2);
    
    [cjd] = CL_dat_cal2cjd(year,month,day,hour,minute,second);
    if ~(multiplier == 0) then 
        cjd = cjd + (sim_time / multiplier);
    end
    block.outptr(1) = cjd;
  case 4 then
    // Initialization
    AB_check_param_number(block_name, block, 5, 0, 4);
  case 5 then
    // Ending
    ;
  case 6 then
    // Initialization, fixed-point computation
    ;
  else
    error(msprintf(gettext("%s : Incorect flag %d"), block_name, flag));
end

endfunction
