//
//  Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
//  Copyright (C) 2012 - Pawel Zagorski
//
//  This file must be used under the terms of the CeCILL.
//  This source file is licensed as described in the file COPYING, which
//  you should have received as part of this distribution.  The terms
//  are also available at
//  http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt


function block=AB_fr_G502ter(block,flag)

block_name = "AB_fr_G502ter";
xcos_block_debug(block, flag, block_name);

select flag
  case 1 then
    // Output computation
    pos_G50 = block.inptr(1);
    vel_G50 = block.inptr(2);
    cjd     = block.inptr(3);
    [pos_ter,vel_ter] = CL_fr_G502ter(cjd,pos_G50,vel_G50);
    block.outptr(1) = pos_ter;
    block.outptr(2) = vel_ter; 
  case 4 then
    // Initialization
    AB_check_param_number(block_name, block, 0, 0, 0);
  case 5 then
    // Ending
    ;
  case 6 then
    // Initialization, fixed-point computation
    ;
  else
    error(msprintf(gettext("%s : Incorect flag %d"), block_name, flag));
end

endfunction
