//
//  Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
//  Copyright (C) 2012 - Pawel Zagorski
//
//  This file must be used under the terms of the CeCILL.
//  This source file is licensed as described in the file COPYING, which
//  you should have received as part of this distribution.  The terms
//  are also available at
//  http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt


function block=AB_mod_atmUS76(block,flag)

block_name = "AB_mod_atmUS76";
block_label = "US76_ATM_MODEL";
xcos_block_debug(block, flag, block_name);

select flag
  case 1 then
  // Output computation
    if (block.inptr(1) < 0) or (block.inptr(1) > 1000000)
      set_blockerror(-1);      
      messagebox("Altitude must be between 0 and 100 000 meters", block_label, "error"); 
    else
      [block.outptr(1) block.outptr(2) block.outptr(3)] = CL_mod_atmUS76(block.inptr(1));
    end
  case 4 then
  // Initialization
    if block.nin<>1 or block.nout<>3 then
      set_blockerror(-1);      
      messagebox("Incorrect number of block inputs or output for calling CL_mod_atmUS76() function", block_label, "error")
    end
  case 5 then
  // Ending
    ;
  case 6 then
  // Initialization, fixed-point computation
    ;
  else
    error(msprintf(gettext("%s : Incorect flag %d"), block_name, flag));
end

endfunction

