//
//  Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
//  Copyright (C) 2012 - Pawel Zagorski
//
//  This file must be used under the terms of the CeCILL.
//  This source file is licensed as described in the file COPYING, which
//  you should have received as part of this distribution.  The terms
//  are also available at
//  http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt


function block=AB_mod_moonSunG50(block,flag)

block_name = "AB_mod_moonSunG50";
xcos_block_debug(block, flag, block_name);

select flag
  case 1 then
  // Output computation
    body = block.opar(1);
    if or(body == ["s", "m"]) then
      cjd = block.inptr(1);
      [u_body,r_body] = CL_mod_moonSunG50(cjd, body);
      pos_G50 = CL_dMult(u_body,r_body);
      block.outptr(1) = pos_G50;
    else
      error('Body must be either s or m\n');
      set_blockerror(-1);
    end
  case 4 then
  // Initialization
    if block.nin<>1 or block.nout<>1 then
      error('Incorrect number of block inputs or output for calling CL_mod_moonSunG50 function');
      set_blockerror(-1);
    end
  case 5 then
  // Ending
    ;
  case 6 then
  // Initialization, fixed-point computation
    ;
  else
    error(msprintf(gettext("%s : Incorect flag %d"), block_name, flag));
end

endfunction

