//
//  Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
//  Copyright (C) 2012 - Pawel Zagorski
//
//  This file must be used under the terms of the CeCILL.
//  This source file is licensed as described in the file COPYING, which
//  you should have received as part of this distribution.  The terms
//  are also available at
//  http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt


function block=AB_unit_conversion(block,flag)

block_name = "AB_unit_conversion";
xcos_block_debug(block, flag, block_name);

select flag
  case 1 then
  // Output computation
    unit_from = block.opar(1);
    unit_to = block.opar(2);
    input = block.inptr(1);
    block.outptr(1) = CL_unitConvert(input, unit_from , unit_to);
  case 4 then
  // Initialization
    AB_check_param_number(block_name, block, 0, 1, 0);
    unit_from = block.opar(1);
    unit_to = block.opar(2);
    if and(unit_from <> ["deg" "rad" "km" "m" "au" "m/s" "km/s" "au/s" "m/mn" "km/mn" "au/mn" "m/h" "km/h" "au/h" "m/day" "km/day" "au/day" "m/yr" "km/yr" "au/yr"]) then
      error(msprintf(gettext("\t%s : Incorrect value of model.opar(1)\n"),..
      block_name)); 
    end
    if and(unit_from <> ["deg" "rad" "km" "m" "au" "m/s" "km/s" "au/s" "m/mn" "km/mn" "au/mn" "m/h" "km/h" "au/h" "m/day" "km/day" "au/day" "m/yr" "km/yr" "au/yr"]) then
      error(msprintf(gettext("\t%s : Incorrect value of model.opar(2)\n"),..
      block_name));
    end
    if unit_from == unit_to then
      error(msprintf(gettext("\t%s : Conversion between the same units\n"),..
      block_name)); 
    end
  case 5 then
  // Ending
    ;
  case 6 then
  // Initialization, fixed-point computation
    ;
  else
    error(msprintf(gettext("%s : Incorect flag %d"), block_name, flag));
end

endfunction
