//
// This file is part of the Xcos Aerospace Blockset
//
// Copyright (C) 2012 - Pawel Zagorski
// see license.txt for more licensing informations

function [x,y,typ]=G50_TO_TER(job,arg1,arg2)
  x=[];y=[];typ=[];
  select job
   case 'plot' then
    standard_draw(arg1);
   case 'getinputs' then
    [x,y,typ]=standard_inputs(arg1);
   case 'getoutputs' then
    [x,y,typ]=standard_outputs(arg1);
   case 'getorigin' then
    [x,y]=standard_origin(arg1);
   case 'set' then
    x=arg1; //in ’set’ x is the data structure of the block
    graphics=arg1.graphics;
    exprs=graphics.exprs;
    model=arg1.model;
    while %t do
      labels = [];
      types = list();
      //[ok, unit_from, unit_to, exprs]=getvalue(["Title"; "first"; "second"],labels, types, exprs);

      if ~ok then break,end

      //check validity of parameters
      if (1<>1) then
        ;
      end 
      //...
      //[model,graphics,ok]=set_io(model,graphics,in,out,...
      //clkin,clkout,in_implicit,out_implicit)
      //...
      if ok then
        //model.ipar	= [];
        //model.rpar	= [];
        //model.opar	= list();
        graphics.exprs=exprs;
        x.graphics=graphics;
        x.model=model
        break
      else
        message("Failed to update block io");
      end
    end
   case 'define' then
    model	= scicos_model();
    model.sim	= list('AB_fr_G502ter',5);
    // two inputs with a single "double" element
    model.in	= [3; 3; 1];
    model.in2	= [-2; -2; 1];
    model.intyp	= [1; 1; 1];
    // one output with a single "double" element
    model.out	= [3;3];
    model.out2	= [-2;-2];
    model.outtyp= [1;1];
    // block parameters
    model.ipar	= [];
    model.rpar	= [];
    model.opar	= list();    

    model.blocktype='c';
    model.dep_ut=[%t %f];

    exprs=string([]);
    gr_i=['txt=[''G50_TO_TER''];';
          'xstringb(orig(1),orig(2),txt,sz(1),sz(2),''fill'')'];

    x=standard_define([2 4],model,exprs,gr_i);
  end
endfunction

