// This file is released under the 3-clause BSD license. See COPYING-BSD.
//=================================

// Test flags
//<-- XCOS TEST -->
//<-- NO CHECK ERROR OUTPUT -->

//Load xcos test diagram for rad2deg tests
[macros,path] = libraryinfo('xcos_aerolib');
result = importXcosDiagram(path + "../tests/unit_tests" + "/sun_model.xcos");
assert_checktrue(result);

//This diagram uses 2 variables : 
//  cjd_in - starting cjd time
//  position_out - position calculated from the diagram

scicos_simulate(scs_m);

// Define expected values
time_expected = [0; 1; 2];
position_expected = 10^10 * [ 	2.3630659,  -13.326059,  -5.7635003;  
				2.6209644,  -13.285737,  -5.7445708;  
    				2.8780722,  -13.241274,  -5.7238502 ];

//Validate results
assert_checkequal(position_out.time, time_expected);
assert_checkalmostequal(position_out.values, position_expected, 0.0000001);
